Bug 230601 - sysutils/ipfs-go: Update to 0.4.17, add ifps-go user, build from source
Summary: sysutils/ipfs-go: Update to 0.4.17, add ifps-go user, build from source
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Yuri Victorovich
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-08-13 21:14 UTC by Dmitri Goutnik
Modified: 2018-08-30 19:39 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (jhixson)


Attachments
patch file (6.06 KB, patch)
2018-08-13 21:14 UTC, Dmitri Goutnik
no flags Details | Diff
patch file (6.07 KB, patch)
2018-08-15 12:55 UTC, Dmitri Goutnik
dmgk: maintainer-approval?
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitri Goutnik freebsd_committer 2018-08-13 21:14:08 UTC
Created attachment 196169 [details]
patch file

* Update to 0.4.17
* Add ipfs-go user (bug #218179)
* Avoid using prebuilt binary package
* Add LICENSE_FILE

Changelog: https://github.com/ipfs/go-ipfs/releases

QA:
  poudriere testport: OK (112a, 111a, 104i)
Comment 1 Dmitri Goutnik freebsd_committer 2018-08-15 12:55:06 UTC
Created attachment 196217 [details]
patch file

Correct GIDs entry
Comment 2 commit-hook freebsd_committer 2018-08-30 19:37:49 UTC
A commit references this bug:

Author: yuri
Date: Thu Aug 30 19:37:37 UTC 2018
New revision: 478487
URL: https://svnweb.freebsd.org/changeset/ports/478487

Log:
  sysutils/ipfs-go: Update 0.4.15 -> 0.4.17

  Major port redesign.
  Changed from the binary, pre-built distribution to building from the source.

  PR:		230601
  Submitted by:	Dmitri Goutnik <dg@syrec.org>
  Approved by:	jhixson (maintainer timeout; 17 days)

Changes:
  head/sysutils/ipfs-go/Makefile
  head/sysutils/ipfs-go/distinfo
  head/sysutils/ipfs-go/files/ipfs-go.in
  head/sysutils/ipfs-go/pkg-plist
Comment 3 Yuri Victorovich freebsd_committer 2018-08-30 19:38:36 UTC
Committed with changes.
Thank you for the patch!
Comment 4 commit-hook freebsd_committer 2018-08-30 19:39:53 UTC
A commit references this bug:

Author: yuri
Date: Thu Aug 30 19:39:14 UTC 2018
New revision: 478488
URL: https://svnweb.freebsd.org/changeset/ports/478488

Log:
  sysutils/ipfs-go: Changes to UIDs and GIDs.

  PR:		230601

Changes:
  head/GIDs
  head/UIDs